/*
** pat_icmpcode.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:49:17 1999 
** Last update Thu Oct 28 20:21:23 1999 
*/
#ifndef PAT_ICMPCODE_H
#define PAT_ICMPCODE_H	1

#include "pat.h"

extern t_pat		icmpcodeagainsttype_pat;

/* PROTO pat_icmpcode.c */
/* pat_icmpcode.c */
t_assoc *icmpcode_get_assocs_from_type P((int type));
t_status icmpcode_to_str P((char *buf, int len, char *str, int max_len));
t_status icmpcode_from_str P((char *buf, int len, char *str));
t_status icmpcode_get_choices P((char *buf, int len, t_vec *vec_str));
t_status icmpcodeagainsttype_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status icmpcodeagainsttype_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status icmpcodeagainsttype_pat_insert P((void *data, char *buf, int len, char *value));
t_status icmpcodeagainsttype_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
#endif
